Bug 63132 - sar daily summary contains only 4 hours data
sar daily summary contains only 4 hours data
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: sysstat (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-10 09:46 EDT by Timothy Burt
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-10 09:46:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timothy Burt 2002-04-10 09:46:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
I have read the previous bugs against sysstat/cron, and this one is slightly 
different, but shares a common fix with the others.  On all RedHat boxes, the 
systat script in /etc/cron.daily is run once a day to create a summary of the 
days activity in ascii form.  run.once executes the daily invocation of 
cron.daily at 4 am.  This results in the daily summary having only 4 hours of 
results, from mid to 4am.
Bug #37733 was closed a year ago with the assertion that (for other reasons) 
the sysstat use of /etc/cron.hourly/daily would be discontinued.  My most 
recent release of RH 7.2 does not include the promised update/fix, which might 
alleviate this problem as well.
Note that this issue is slightly cosmetic, since the raw data is still 
available and a complete report can be obtained.  However, we are wasting 
cycles and diskspace to create a nearly useless report on a daily basis.
I agree with prior posts that sar should be run from a crontab entry and not 
from run.parts.  Unfortunately, the rpm for systat installs run.parts 
components unilaterally, and I must manually go in and nuke the entries on each 
system I configure before I setup the proper crontab entries.
This fix should be pretty simple, as it requires changes to the rpm only, not 
the code base..  Why not just include the example crontab entrys in the man 
page?  After all, you gotta know UNIX pretty well to understand the stats.  
Certainly well enough to create your own entries in the root crontab file.
And thank you for the info on cron hanging on the backgrounded task.  This may 
help explain the behavior described in another cron bug I have been following 
for a year or more.
Thanks for the great Service!

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. View contents of /var/log/sa/sar01
2.
3.
	

Actual Results:  summary contains data for timespan of midnight to 4 am, 4 hours

Expected Results:  summary contains data for timespan of midnight to midnight, 
24 hours

Additional info:
Comment 1 Trond Eivind Glomsrxd 2002-04-12 15:58:58 EDT
The fix was in there, just look at /etc/crond.d/ - just for sa1, not sa2. I'm
not sure of why, but I now made this run just before midnight in sysstat-4.0.3-2.
Comment 2 Timothy Burt 2002-04-12 19:01:34 EDT
On my freshly patched RH 7.2 system, the installed RPM for systat 
shows:Name        : sysstat                      Relocations: (not relocateable)
Version     : 4.0.1                             Vendor: Red Hat, Inc.
Release     : 2                             Build Date: Mon 13 Aug 2001 
01:18:19 PM PDT
Install date: Sat 09 Mar 2002 12:58:29 PM PST      Build Host: 
porky.devel.redhat.com
Group       : Applications/System           Source RPM: sysstat-4.0.1-2.src.rpm
Size        : 235940                           License: GPL
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://perso.wanadoo.fr/sebastien.godard/
Summary     : The sar and iostat system monitoring commands.
Description :
This package provides the sar and iostat commands for Linux. Sar and
iostat enable system monitoring of disk, network, and other IO
activity.
/etc/cron.d/sysstat
/etc/cron.daily/sysstat

----  AND the latest from RAWHIDE....

Name        : sysstat                      Relocations: (not relocateable)
Version     : 4.0.3                             Vendor: Red Hat, Inc.
Release     : 1                             Build Date: Thu 28 Feb 2002 
02:58:41 PM PST
Install date: Fri 12 Apr 2002 03:57:38 PM PDT      Build Host: 
daffy.perf.redhat.com
Group       : Applications/System           Source RPM: sysstat-4.0.3-1.src.rpm
Size        : 286796                           License: GPL
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://perso.wanadoo.fr/sebastien.godard/
Summary     : The sar and iostat system monitoring commands.
Description :
This package provides the sar and iostat commands for Linux. Sar and
iostat enable system monitoring of disk, network, and other IO
activity.
/etc/cron.d/sysstat
/etc/cron.daily/sysstat

---------

The final entry in the two package queries above is a daily cron task that runs 
at 4 am every day.  It produces a near useless report of 4 hours only.

Perhaps you forget to remove this from the package (and have the rpm update 
remove the entry if found).

Thanks!
Comment 3 Trond Eivind Glomsrxd 2002-04-12 19:18:54 EDT
This was changed in 4.0.3-2 as mentioned, which isn't quite rawhide yet.

Note You need to log in before you can comment on or make changes to this bug.